## phog 0.1.6

=== meson_options.txt ===
option('tests',
       type: 'boolean', value: true,
       description: 'Whether to compile unit tests')

option('compositor',
       type: 'string', value: '/usr/bin/phoc',
       description: 'Path to the Phoc compositor for use in the launcher script')

## phog 0.1.3

=== debian/changelog ===
phog (0.1.3-2) unstable; urgency=medium

  [ Guido Günther ]
  * d/control: Allow for phosh-osk-stub.
    This allows to use phosh-osk-stub instead of squeekboard

  [ Arnaud Ferraris ]
  * debian: remove PAM conffiles on upgrade
    `greetd` now ships those, so we should get rid of them. Add a versioned
    dependency on `greetd` to ensure we have the proper configs.
    (Closes: #1032914)
  * d/control: add missing runtime dependencies.
    (Closes: #1033282)

 -- Arnaud Ferraris <aferraris@debian.org>  Wed, 15 Mar 2023 13:59:03 +0100

phog (0.1.3-1) unstable; urgency=medium

  * New upstream version 0.1.3

 -- Arnaud Ferraris <aferraris@debian.org>  Thu, 02 Feb 2023 19:50:11 +0100

phog (0.1.2-1) unstable; urgency=medium

  * New upstream version 0.1.2

 -- Arnaud Ferraris <aferraris@debian.org>  Fri, 25 Nov 2022 17:57:01 +0100

phog (0.1.1-1) unstable; urgency=medium

  * New upstream version 0.1.1
  * d/patches: rebase on new upstream release
  * debian: create working directory and ensure proper permissions
    `phog` needs to store data into a folder named `/var/lib/phog`. As this
    folder is not under the user's home directory, we must create it and
    ensure the user `phog` will run as (`_greetd` here) has R/W permissions
    on it.

 -- Arnaud Ferraris <aferraris@debian.org>  Thu, 03 Nov 2022 18:00:37 +0100

phog (0.1.0-1) unstable; urgency=medium

  * Initial Debian packaging (Closes: #1022904)

 -- Arnaud Ferraris <aferraris@debian.org>  Thu, 27 Oct 2022 17:07:20 +0200

=== debian/control ===
Source: phog
Section: x11
Priority: optional
Maintainer: DebianOnMobile Maintainers <debian-on-mobile-maintainers@alioth-lists.debian.net>
Uploaders: Arnaud Ferraris <aferraris@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 libgcr-3-dev,
 libglib2.0-dev (>= 2.72.0),
 libgnome-desktop-3-dev,
 libgtk-3-dev,
 libgudev-1.0-dev,
 libjson-glib-dev,
 libhandy-1-dev (>= 1.1.90),
 libnm-dev,
 libpam0g-dev,
 libsystemd-dev,
 libupower-glib-dev,
 libwayland-dev,
 meson,
# to run the tests
 at-spi2-core <!nocheck>,
 dbus-x11 <!nocheck>,
 phoc (>= 0.20.0) <!nocheck>,
 xvfb <!nocheck>,
 xauth <!nocheck>,
Standards-Version: 4.6.1
Homepage: https://gitlab.com/mobian1/phog/
Vcs-Browser: https://salsa.debian.org/DebianOnMobile-team/phog
Vcs-Git: https://salsa.debian.org/DebianOnMobile-team/phog.git
Rules-Requires-Root: no

Package: phog
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 fonts-lato,
 gnome-shell-common,
 greetd (>= 0.9.0-3),
 phoc (>= 0.21.0+ds1),
 polkitd,
 squeekboard | phosh-osk-stub,
Description: Greetd-compatible greeter for mobile phones
 Phog is a graphical greeter speaking the `greetd` protocol and aimed at mobile
 devices like smart phones and tablets using touch based inputs and small
 screens.
 .
 It was initially designed for the Phosh Mobile Environment based on GNOME/GTK
 but can spawn any graphical session.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export PHOG_DESTDIR = debian/tmp

%:
	dh $@ --builddirectory=_build

override_dh_auto_test:
ifeq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	LC_ALL=C.UTF-8 xvfb-run -a meson test -C _build
endif

override_dh_auto_install:
	# dh_auto_install will put files in debian/<PACKAGE>, while dh_install
	# will look in debian/tmp. Make sure both use the same directory.
	dh_auto_install --destdir=$(PHOG_DESTDIR)

## phog 0.1.4

=== debian/changelog ===
phog (0.1.4-1pureos1) crimson; urgency=medium

  * Drop all patches.
    All applied upstream.
  * Add two more robustness fixes
  * Drop logo for the moment

 -- Guido Günther <agx@sigxcpu.org>  Mon, 25 Sep 2023 17:08:10 +0200

phog (0.1.4-1) unstable; urgency=medium

  * New upstream version 0.1.4
  * d/patches: drop obsolete patch.
    This was needed for greetd v0.8, but we now have v0.9 in Debian, so
    let's drop that one.
  * d/control: bump Standards-Version, no changes needed
  * d/lintian-overrides: fix override

 -- Arnaud Ferraris <aferraris@debian.org>  Thu, 21 Sep 2023 19:05:55 +0200

phog (0.1.3-2pureos2) crimson; urgency=medium

  * Reupload to trigger rebuild

 -- Guido Günther <agx@sigxcpu.org>  Mon, 11 Sep 2023 09:59:11 +0200

phog (0.1.3-2pureos1) crimson; urgency=medium

  * d/gbp.conf: Adjust for pureos
  * Add pureos ci
  * Add some robustness patches
    (Submitted upstream as https://gitlab.com/mobian1/phog/-/merge_requests/3)

 -- Guido Günther <agx@sigxcpu.org>  Wed, 06 Sep 2023 20:29:34 +0200

## phog 0.1.5

=== debian/changelog ===
phog (0.1.5-1) unstable; urgency=medium

  * New upstream version

 -- Arnaud Ferraris <aferraris@debian.org>  Fri, 06 Oct 2023 13:27:21 +0200

=== debian/control ===
--- 
+++ 
@@ -24,7 +24,7 @@
  phoc (>= 0.20.0) <!nocheck>,
  xvfb <!nocheck>,
  xauth <!nocheck>,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://gitlab.com/mobian1/phog/
 Vcs-Browser: https://salsa.debian.org/DebianOnMobile-team/phog
 Vcs-Git: https://salsa.debian.org/DebianOnMobile-team/phog.git

## phog 0.1.6

=== debian/changelog ===
phog (0.1.6-2build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 06:37:37 +0000

phog (0.1.6-2) unstable; urgency=medium

  * d/control: depend on `librsvg2-common`
    This package is needed to get the GDK pixbuf loader plugin for SVG; it
    is usually pulled in by GNOME-based desktop environments, but users
    choosing a different DE (e.g. KDE Plasma) will lack this package,
    leading to `phog` being unable to load SVG icons.

 -- Arnaud Ferraris <aferraris@debian.org>  Sat, 20 Jan 2024 12:10:21 +0100

phog (0.1.6-1) unstable; urgency=medium

  * New upstream version

  [ Guido Günther ]
  * d/control: Bump phoc dependency.
    We want one supporting ext-idle-notify-v1

  [ Arnaud Ferraris ]
  * d/copyright: remove now-uneeded paragraph

 -- Arnaud Ferraris <aferraris@debian.org>  Fri, 17 Nov 2023 16:02:43 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: phog
 Section: x11
 Priority: optional
-Maintainer: DebianOnMobile Maintainers <debian-on-mobile-maintainers@alioth-lists.debian.net>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: DebianOnMobile Maintainers <debian-on-mobile-maintainers@alioth-lists.debian.net>
 Uploaders: Arnaud Ferraris <aferraris@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
@@ -21,7 +22,7 @@
 # to run the tests
  at-spi2-core <!nocheck>,
  dbus-x11 <!nocheck>,
- phoc (>= 0.20.0) <!nocheck>,
+ phoc (>= 0.33.0) <!nocheck>,
  xvfb <!nocheck>,
  xauth <!nocheck>,
 Standards-Version: 4.6.2
@@ -38,6 +39,7 @@
  fonts-lato,
  gnome-shell-common,
  greetd (>= 0.9.0-3),
+ librsvg2-common,
  phoc (>= 0.21.0+ds1),
  polkitd,
  squeekboard | phosh-osk-stub,

=== debian/watch ===
version=4
https://gitlab.com/mobian1/@PACKAGE@/-/tags?sort=updated_desc \
    .*/archive/\d\S+/@PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@

## phog 0.1.7

=== debian/changelog ===
phog (0.1.7-1) unstable; urgency=medium

  * New upstream version

  [ Guido Günther ]
  * Use separate state file.
    When users switch between phog and other greeter configs
    they likely want the auto-login feature to retrigger so use a
    separate state file for that.
  * Add commented auto login session.
    This comes up ever so often. With this we can point users to the known
    working example.

  [ Arnaud Ferraris ]
  * d/watch: adapt to recent GitLab changes
  * d/control: make phosh-osk-stub the preferred OSK.
    See https://salsa.debian.org/DebianOnMobile-team/meta-phosh/-/merge_requests/38
  * debian: drop cherry-picked patch.
    It is now part of a formal release.
  * debian: drop no-longer-needed lintian overrides
  * d/copyright: drop entry for removed file
  * d/control: bump Standards-Version, no change required

 -- Arnaud Ferraris <aferraris@debian.org>  Mon, 09 Dec 2024 12:39:37 +0100

phog (0.1.6-3) unstable; urgency=medium

  * Team upload.
  * phog: Honor the systems default OSK

 -- Guido Günther <agx@sigxcpu.org>  Sun, 09 Jun 2024 09:21:41 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: phog
 Section: x11
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: DebianOnMobile Maintainers <debian-on-mobile-maintainers@alioth-lists.debian.net>
+Maintainer: DebianOnMobile Maintainers <debian-on-mobile-maintainers@alioth-lists.debian.net>
 Uploaders: Arnaud Ferraris <aferraris@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
@@ -25,7 +24,7 @@
  phoc (>= 0.33.0) <!nocheck>,
  xvfb <!nocheck>,
  xauth <!nocheck>,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://gitlab.com/mobian1/phog/
 Vcs-Browser: https://salsa.debian.org/DebianOnMobile-team/phog
 Vcs-Git: https://salsa.debian.org/DebianOnMobile-team/phog.git
@@ -42,7 +41,7 @@
  librsvg2-common,
  phoc (>= 0.21.0+ds1),
  polkitd,
- squeekboard | phosh-osk-stub,
+ phosh-osk-stub | squeekboard,
 Description: Greetd-compatible greeter for mobile phones
  Phog is a graphical greeter speaking the `greetd` protocol and aimed at mobile
  devices like smart phones and tablets using touch based inputs and small
